summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <jams@linhes.org>2010-12-15 17:12:21 (GMT)
committerJames Meyer <jams@linhes.org>2010-12-15 17:12:21 (GMT)
commit4da2eb96f5540b6658d7113eba443a423f924f1f (patch)
tree9a3cb176acc18aae917dee22a71c0e2a735a173c
parent7fee2d9e0891259067481f6fc54ed10193b349c8 (diff)
parentab340c7f02acde98b5f89a945d930f0328704386 (diff)
downloadlinhes_pkgbuild-4da2eb96f5540b6658d7113eba443a423f924f1f.zip
linhes_pkgbuild-4da2eb96f5540b6658d7113eba443a423f924f1f.tar.gz
linhes_pkgbuild-4da2eb96f5540b6658d7113eba443a423f924f1f.tar.bz2
Merge branch 'testing' of ssh://linhes.org/mount/repository/linhes_pkgbuild into testing
-rw-r--r--abs/core/python_modules/git-python/PKGBUILD20
-rw-r--r--abs/core/python_modules/python-async/PKGBUILD18
-rw-r--r--abs/core/python_modules/python-gitdb/PKGBUILD19
3 files changed, 57 insertions, 0 deletions
diff --git a/abs/core/python_modules/git-python/PKGBUILD b/abs/core/python_modules/git-python/PKGBUILD
new file mode 100644
index 0000000..5b4d975
--- /dev/null
+++ b/abs/core/python_modules/git-python/PKGBUILD
@@ -0,0 +1,20 @@
+# Contributor: Jon Bergli Heier <snakebite@jvnv.net>
+pkgname=gitpython
+pkgver=0.3.1
+pkgrel=1
+pkgdesc="A python library used to interact with Git repositories"
+arch=('any')
+url="http://gitorious.org/git-python"
+license=('BSD')
+depends=('python2' 'git' 'python-gitdb')
+conflicts=('gitpython-git')
+source=("http://pypi.python.org/packages/source/G/GitPython/GitPython-${pkgver}.tar.gz")
+md5sums=('98f9a4e33574065660b7257fa93d707d')
+
+build() {
+ cd "$srcdir/GitPython-$pkgver"
+ python2 setup.py install --root="$pkgdir/" --optimize=1 || return 1
+ install -D -m 644 LICENSE "$pkgdir"/usr/share/licenses/gitpython/LICENSE
+}
+# vim:set ts=2 sw=2 et:
+
diff --git a/abs/core/python_modules/python-async/PKGBUILD b/abs/core/python_modules/python-async/PKGBUILD
new file mode 100644
index 0000000..5a49159
--- /dev/null
+++ b/abs/core/python_modules/python-async/PKGBUILD
@@ -0,0 +1,18 @@
+# Contributor: Jon Bergli Heier <snakebite@jvnv.net>
+pkgname=python-async
+pkgver=0.6.1
+pkgrel=1
+pkgdesc="Async aims to make writing asyncronous processing easier."
+arch=('i686' 'x86_64')
+url="http://pypi.python.org/pypi/async"
+license=('BSD')
+depends=('python2')
+source=("http://pypi.python.org/packages/source/a/async/async-${pkgver}.tar.gz")
+
+build() {
+ cd "$srcdir/async-$pkgver"
+ python2 setup.py install --root="$pkgdir/" || return 1
+}
+# vim:set ts=2 sw=2 et:
+
+md5sums=('6f0e2ced1fe85f8410b9bde11be08587')
diff --git a/abs/core/python_modules/python-gitdb/PKGBUILD b/abs/core/python_modules/python-gitdb/PKGBUILD
new file mode 100644
index 0000000..a7a6f71
--- /dev/null
+++ b/abs/core/python_modules/python-gitdb/PKGBUILD
@@ -0,0 +1,19 @@
+# Contributor: Jon Bergli Heier <snakebite@jvnv.net>
+pkgname=python-gitdb
+pkgver=0.5.2
+pkgrel=1
+pkgdesc="IO of git-style object databases"
+arch=('i686' 'x86_64')
+url="http://pypi.python.org/pypi/gitdb"
+license=('BSD')
+depends=('python2' 'python-async')
+source=("http://pypi.python.org/packages/source/g/gitdb/gitdb-${pkgver}.tar.gz")
+
+md5sums=('98655385607aed62101318051f7c9364')
+
+build() {
+ cd "$srcdir/gitdb-$pkgver"
+ python2 setup.py install --root="$pkgdir/" || return 1
+}
+# vim:set ts=2 sw=2 et:
+